Package ghidra.program.util

# Class RegisterFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.RegisterFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class RegisterFieldLocation extends ProgramLocation
ProgramLocation for the Register Field.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterFieldLocation()`
  Default constructor
  `RegisterFieldLocation(Program program, Address addr, String[] registerNames, String[] registerStrings, int row, int charOffset)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Register`
  `getRegister()`
  `String[]`
  `getRegisterStrings()`
  Get the register strings.
  `int`
  `hashCode()`
  `void`
  `restoreState(Program p, SaveState obj)`
  Restore this program location using the given program and save state object.
  `void`
  `saveState(SaveState obj)`
  Save this program location to the given save state object.

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy, isValid, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegisterFieldLocation

    public RegisterFieldLocation(Program program, Address addr, String[] registerNames, String[] registerStrings, int row, int charOffset)

  - ### RegisterFieldLocation

    public RegisterFieldLocation()
    Default constructor

- ## Method Details

  - ### getRegisterStrings

    public String[] getRegisterStrings()
    Get the register strings.

  - ### getRegister

    public Register getRegister()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ProgramLocation`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ProgramLocation`

  - ### saveState

    public void saveState(SaveState obj)
    Description copied from class: `ProgramLocation`
    Save this program location to the given save state object.
    Overrides:
      `saveState` in class `ProgramLocation`
    Parameters:
      `obj` - the save state object for saving the location

  - ### restoreState

    public void restoreState(Program p, SaveState obj)
    Description copied from class: `ProgramLocation`
    Restore this program location using the given program and save state object.
    Overrides:
      `restoreState` in class `ProgramLocation`
    Parameters:
      `p` - program to restore from
      `obj` - the save state to restore from